betrocketApp.controller('apuestasController', function($scope,$cordovaStatusbar,$rootScope, $q, $ionicScrollDelegate, $ionicPopup, $ionicPopover, $state, $timeout, $ionicModal, $ionicLoading, br) {

    $ionicLoading.show();
    $scope.bets=[];
    $scope.paginator = undefined;
    $scope.reloadTournaments = false;

    $scope.orderBets = true;
    $scope.listSelected = undefined;
    $scope.competitionSelected = undefined;
    $scope.competitionFilter = undefined;
    $scope.sportSelected = undefined;

    $scope.sports = [];
    $scope.lists = [];
    $scope.competitions = [];

    $scope.filterTree = undefined;

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Apuestas Libres','Disponibles');

    $scope.getFilterTree = function(){
        var parseSportNode = function(sportNode) {
            var deferred = $q.defer();
            var promises = [];
            if(typeof sportNode.Lists !== 'undefined'){
                sportNode.Lists.forEach(function(listNode){
                    promises.push(parseListNode(listNode));
                });
                $q.all(promises).then(function(){
                    $q.resolve();
                });
            }
        };

        var parseListNode = function(listNode){
            var deferred = $q.defer();
            br.getCompetitionsOfListItem(function (error, competitions) {
                if (!error) {
                    listNode.Competitions = competitions;
                } else if (error == 100) {
                    listNode.Competitions = [];
                } else {
                    // TODO error popup
                }
                deferred.resolve();
            }, listNode.Id);
        };

        br.getFilter(function(error, sportsWithLists){
            if(!error) {
                $scope.filterTree = sportsWithLists;
                var promises = [];
                $scope.filterTree.forEach(function(sportNode){
                    promises.push(parseSportNode(sportNode));
                });
            }else {
                //TODO error popup
            }
        });
    };

    $scope.getFilterTree();

    $scope.backSports = function(){
        $(".main-filters-sports").removeClass("slideOutLeft hide").addClass("slideInLeft");
        $(".second-filters-sports").removeClass("slideInRight").addClass("slideOutRight hide");
        //$(".second-filters-sports").one("webkitAnimationEnd animationend",function(){
        //    $(this).addClass("hide");
        //    $(this).off();
        //});
        $(".row-popover-filter.first-menu").removeClass("active");
        $scope.listSelected = undefined;
    };

    $scope.backLists = function(){
        $(".second-filters-sports").removeClass("slideOutLeft slideInRight hide").addClass("slideInLeft");
        $(".third-filters-sports").removeClass("slideInRight").addClass("slideOutRight hide");
        //$(".second-filters-sports").one("webkitAnimationEnd animationend",function(){
        //    $(this).addClass("hide");
        //    $(this).off();
        //});
        $(".row-popover-filter.first-menu").removeClass("active");
        $scope.competitionSelected = undefined;
    };

    $scope.selectSport = function(sport){
        $(".main-filters-sports").removeClass("slideInLeft").addClass("slideOutLeft hide");
        $(".second-filters-sports").removeClass("slideOutRight hide").addClass("slideInRight");
        $(".box-all-popover").scrollTop();
        $scope.listSelected = undefined;
        $scope.competitionSelected = undefined;
        $scope.sportSelected = sport;
    };

    $scope.selectList = function(listsItem){
        $(".second-filters-sports").removeClass("slideInLeft").addClass("slideOutLeft hide");
        $(".third-filters-sports").removeClass("slideOutRight hide").addClass("slideInRight");
        $(".box-all-popover").scrollTop();
        $scope.competitionSelected = undefined;
        $scope.competitionFilter = undefined;
        $scope.listSelected = listsItem;
    };

    $scope.selectCompetition = function (competition) {
        if (competition.Id >0) {
            $ionicLoading.show();
            $scope.competitionSelected = competition;
            $scope.competitionFilter = competition.Id;
            $scope.paginator = undefined;
            $scope.bets = [];
            $scope.popoverDeportes.hide();
            $(".apuestas-libres-selector").removeClass('active');
            $(".apuestas-libres-deportes-selector").addClass('active');
            loadMoreBets();
        }
    };

    var loadMoreBets = function(){
        var page = undefined;
        if($scope.paginator !== undefined){
            page = $scope.paginator.page + 1;
        }

        br.getApuestasTorneo(0, function (error, data) {
            if(error){
                if(error != 'No tournament data')
                    $ionicPopup.alert({
                        title: "Apuestas",
                        template: "Ohhps.. algo ha ido mal [-2]"
                    });
                else{
                    $ionicPopup.alert({
                        title: "Apuestas",
                        template: "No hay apuestas disponibles"
                    });
                }
            }else{
                if(!$scope.reloadTournaments)
                    $scope.bets = $scope.bets.concat(data.Events);
                else{
                    $scope.bets=[];
                    $scope.bets = data.Events;
                }

                $scope.paginator = data.paginator;
                $scope.$broadcast('scroll.infiniteScrollComplete');
                $scope.$broadcast('scroll.resize');
            }
            if($scope.reloadTournaments){
                setTimeout(function(){
                    $scope.$broadcast('scroll.resize');
                    $scope.$broadcast('scroll.refreshComplete');
                    $scope.reloadTournaments = false;
                },100);

            }
            setTimeout(function(){
                $ionicLoading.hide();
            },1000);
            return;
        }, $scope.orderBets, 10, page, $scope.competitionFilter);
    };

    $scope.changeBetFilter = function($event, order) {
        $ionicLoading.show();
        $('.apuestas-libres-selector').removeClass('active');
        $($event.target).addClass('active');
        $scope.orderBets = order;
        $scope.paginator = undefined;
        $scope.competitionFilter = undefined;
        $scope.bets=[];
        $scope.returnPopover();
        loadMoreBets();
    };

    $scope.apuestasLibresDisponiblesRefresh = function(){
        $scope.paginator = undefined;
        $scope.reloadTournaments = true;
        loadMoreBets();
    };

    $scope.selectLibreEvent = function (event) {
        $scope.$root.selectedEvent = event;
        $state.go("apuestas.disponibles.eventoLibre",{ tournamentId: event.Id });
    };

    $scope.selectOdd = function ($event, event, participant) {
        $ionicLoading.show();
        if ($($event.target).hasClass('activated2')) {
            br.eliminarApuesta(participant.Odds[0].BookOdd, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    angular.element($event.target).removeClass('activated2');
                    $('.event-' + event.Id).removeClass('disabled');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        } else {
            var cashApostado = br.minBetAmount;
            try{
                cashApostado = Math.round($rootScope.user.data.Credit * 0.20);
            }catch(e){}

            br.apostar(0, participant.Odds[0].BookOdd, cashApostado, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    $('.event-' + event.Id).addClass('disabled');
                    angular.element($event.target).removeClass('disabled');
                    angular.element($event.target).addClass('activated2');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        }
    };

    $scope.loadMoreBets = function(){
        loadMoreBets();
        return true;
    };

    $scope.canLoadMoreBets = function(){
        if($scope.paginator !== undefined){
            return $scope.paginator.page < $scope.paginator.count_all_pages;
        }else{
            return true;
        }
    };

    $scope.$watch(function(){
        if(typeof $rootScope.basket !== 'undefined'){
            return $rootScope.basket;
        }else{
            return false;
        }
    }, function(value,value2){
        if(value){
            //$('.infoBet1Torneo').removeClass('disabled activated2');
            if ($rootScope.basket.BasketUser.length == 0) {
                $('.infoBet1Torneo').removeClass('disabled activated2');
                $scope.hideButtonCesta();
            } else {
                $rootScope.shouldBasketLibresBeShown = $rootScope.basket.TournamentName === "";
                $scope.showButtonCesta();
                $timeout(function(){
                    var betsBasket = $rootScope.basket.Combined == 1 ? $rootScope.basket.BasketUser[0].ChildBets : $rootScope.basket.BasketUser;
                    betsBasket.forEach(function(item){
                        if ($('#odd-' + item.BookOdd).length) {
                            $('#odd-' + item.BookOdd).parent().children('div').addClass('disabled');
                            $('#odd-' + item.BookOdd).removeClass('disabled');
                            $('#odd-' + item.BookOdd).addClass('activated2');
                        }
                    });
                },500);
            }
        }
    });

    $scope.showButtonCesta = function(){
        $(".viewButtonCestaLibre").removeClass("hide").addClass("animated").addClass("slideUp")
    };

    $scope.hideButtonCesta = function(){
        $(".viewButtonCestaLibre").addClass("hide").removeClass("animated").removeClass("slideUp")
    };

    $ionicPopover.fromTemplateUrl('templates/modules/popover_filter_apuestas/popoverFiltrarapuestas.html', {
        scope: $scope
    }).then(function(popover) {
        $scope.popoverDeportes = popover;
    });

    $scope.openDeportes = function($event){
        $scope.popoverDeportes.show($event.target);
    };


    // It makes no sense... preservation of the selections improves the UX when user click again on sports filter
    $scope.returnPopover = function(){
        $(".main-filters-sports").removeClass("slideInLeft").removeClass("slideOutLeft").removeClass("hide");
        $(".second-filters-sports").removeClass("slideOutLeft").removeClass("slideInRight").addClass("hide");
        $(".third-filters-sports").removeClass("slideOutRight").removeClass("slideInRight").addClass("hide");
        $("ion-item").removeClass("active");
        $scope.lists = [];
        $scope.competitions = [];
        $scope.sportSelected = undefined;
        $scope.listSelected = undefined;
        $scope.competitionSelected = undefined;
    }

    $scope.setClassToParticipant = function(event){
        if(event["1X2Available"] == 1){
            return 'betPastilla1x2';
        } else {
            return 'betPastilla12';
        }
    }
});