betrocketApp.controller('loginController', function ($scope, $rootScope, $state, $ionicPopup, $ionicLoading, $cordovaInAppBrowser, br, ngFB, $rootScope, $q) {
    $scope.mailLogin = function (username, userpass) {
        $ionicLoading.show();



        br.login(username, userpass, null, null, function (error, data) {
            if (error) {
                $ionicLoading.hide();
                $ionicPopup.alert({
                    title: "Error Login",
                    template: "<p>"+error+"</p>"
                });

                if(typeof window.fabric !== 'undefined')
                    window.fabric.Answers.sendLogIn("Email", false, {'error':error});

            } else {

                if(typeof window.fabric !== 'undefined')
                    window.fabric.Answers.sendLogIn("Email", true,{'error':false});

                $state.go(br.stateRedirectOnSuccessfulLogin);
                return;
            }
        });


    };

    var fbLoginSuccess = function(response) {
        if (!response.authResponse){
            fbLoginError("Cannot find the authResponse");
            return;
        }

        var authResponse = response.authResponse;

        getFacebookProfileInfo(authResponse).then(function(profileInfo) {
            setBetrocketLogin(profileInfo, authResponse.accessToken);
        });
    };

    var fbLoginError = function(error){
        $ionicPopup.alert({
            title: "error",
            template: JSON.stringify(error)
        });
        if(typeof window.fabric !== 'undefined')
            window.fabric.Answers.sendLogIn("facebook", false, {'error':JSON.stringify(error)});

    };

    var getFacebookProfileInfo = function (authResponse) {
        var info = $q.defer();

        facebookConnectPlugin.api('/me?fields=email,name&access_token=' + authResponse.accessToken, null, function (response) {info.resolve(response);}, function (response) {info.reject(response);});

        return info.promise;
    };

    var setBetrocketLogin = function (profileInfo, accessToken) {
        $ionicLoading.show();

        var params = {
            profileInfo: profileInfo,
            accessToken: accessToken
        };

        br.call('https://www.betrocket.com/api/social/facebook/setmobile', "POST", params, function (response) {
            $rootScope.$storage.user = {uid: response.data.result.social};
            $rootScope.user = $rootScope.$storage.user;

            br.getUserData(function (err, data) {
                if (!err) {
                    if(typeof window.fabric !== 'undefined')
                        window.fabric.Answers.sendLogIn("Facebook", true);

                    $state.go(br.stateRedirectOnSuccessfulLogin);
                }
            });
        });
    };

    $scope.facebookLogin = function(){
        facebookConnectPlugin.getLoginStatus(function(success){
            if(success.status === 'connected'){
                getFacebookProfileInfo(success.authResponse).then(function(profileInfo) {
                    setBetrocketLogin(profileInfo, success.authResponse.accessToken);
                });
            } else {
                facebookConnectPlugin.login(['email', 'user_likes', 'user_friends'], fbLoginSuccess, fbLoginError);
            }
        });
    };
});