betrocketApp.controller('inscripcionDialogController', function($scope, $rootScope, $localStorage, $state,  $ionicPopup, $timeout, br,$cordovaInAppBrowser) {

    var deltaCoins=50;
    var elevationExp = 1.00017;
    var baseExp = 0;
    var maxAmount = 10000;
    var coinsMultiplier = 3;

    $scope.$on('modal.shown', function(event, modal){
        $scope.modal = modal;
        if($scope.bet.amount >=maxAmount){
            $scope.bet.amount = maxAmount;
        }
        baseExp = $scope.tournamentBets.TournamentTypeId == 15 ? 30 : 15;
        refreshForecast();
        deltaCoins = dynamicDeltaCoins($localStorage.user.data.CreditCoins);
        $(".homeAppView").addClass("blur-backapp");
        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Torneos','Modal Inscripcion Toreno',null,{"torneoID" : $scope.selectedTournament.TournamentId});
    });
    $scope.$on('modal.hidden', function() {
        $(".homeAppView").removeClass("blur-backapp");
    });

    $scope.forecast = {
        coins: 0,
        experience:0
    };

    var refreshForecast = function(){
        $scope.forecast.coins = $scope.bet.amount * 3;
        $scope.forecast.experience = Math.pow(elevationExp, $scope.bet.amount) * (baseExp * $scope.bet.amount);
    };

    var dynamicDeltaCoins= function(coins){
        if(coins>=35000) return 1000;
        if(coins>=10000) return 500;
        if(coins>=1000) return 100;
    };

    //$("#posterImageTorneo").lazyload({ effect : "fadeIn"});

    $scope.raiseCoins = function(){
        var myCredit = $localStorage.user.data.CreditCoins;
        if($scope.bet.amount + deltaCoins <= myCredit) {
            if($scope.bet.amount + deltaCoins <= maxAmount){
                $scope.bet.amount += deltaCoins;
                refreshForecast();
            }
        }
    };

    $scope.lowerCoins = function(){
        if($scope.bet.amount - deltaCoins >= deltaCoins) {
            $scope.bet.amount -= deltaCoins;
            refreshForecast();
        }
    };

    $scope.minCoins = function(){
        $scope.bet.amount = deltaCoins;
        refreshForecast();
    };

    $scope.allIn = function(){
        var myCredit = $localStorage.user.data.CreditCoins;
        if(myCredit>=maxAmount)
            $scope.bet.amount=maxAmount;
        else
            $scope.bet.amount = $localStorage.user.data.CreditCoins;
        refreshForecast();
    };


    $scope.joinTournament = function(){
        br.joinTournament($scope.selectedTournament.TournamentId, $scope.bet.amount, function(error, data){
            // 100 inscripcion cerrada
            // 200 usueario ya registrado
            // 300 no cumple requisitos
            if(error){
                $ionicPopup.alert({
                    title: "Inscripción torneo",
                    template: "<p>"+error+"</p>"
                }).then(function(res) {
                    $scope.modal.hide();
                });
                return;
            }else{
                $timeout(function(){
                    $rootScope.$emit("refreshUserData");
                    // Resuelve el bug de user no inscrito en el Tournament
                    $state.go('detailTournament.apuestas', {tournamentId: data.TournamentId});
                    $scope.modal.hide();
                }, 0);
                if(typeof window.fabric != 'undefined')
                    window.fabric.Answers.sendContentView('Torneos','Modal Inscripcion Toreno - Inscrito',null,{"torneoID" : $scope.selectedTournament.TournamentId});

                return;
            }
        });
    };

    $scope.openWebCoins = function(){

        var options = {
            location: 'yes',
            clearcache: 'yes',
            toolbar: 'no'
        };

        $cordovaInAppBrowser.open('https://betrocket.com/coins', '_system', options)
            .then(function(event) {
                // success
            })
            .catch(function(event) {
                // error
            });

    };


});