betrocketApp.controller('modalAlertsController', function($scope,$rootScope,$ionicSideMenuDelegate, $localStorage, $state,  $ionicPopup, $ionicLoading, $timeout, br) {

    $scope.paginator = undefined;
    $scope.alerts = [];


    var loadMoreAlerts = function(){

        var page = 1;
        if ($scope.paginator !== undefined) {
            page = $scope.paginator.page + 1;
        }

        br.getUserAlerts(function(error, data){
            if(!error){
                $scope.alerts = $scope.alerts.concat(data.UserAlerts);
                $scope.paginator = data.paginator;
                $scope.$broadcast('scroll.infiniteScrollComplete');
                $scope.$broadcast('scroll.resize');
            }else{
                //TODO handle error
            }
        }, br.alertsPerPage, page);
    };

    $scope.loadMoreAlerts = function () {
        loadMoreAlerts();
        return true;
    };

    $scope.canLoadMore = function () {
        if ($scope.alerts.length > 0) {
            if ($scope.paginator !== undefined) {
                return $scope.paginator.page < $scope.paginator.count_all_pages;
            } else {
                return true;
            }
        } else {
            return false;
        }
    };

    // Execute action on hide modal
    $scope.$on('modal.shown', function() {
        $(".headerCenterIcons").addClass('selected');
        $(".contentHeaderAlert i").removeClass("fa-exclamation-triangle").addClass("fa-times");
        $(".modalAlertsUser").addClass("opened");
        $(".notification-header").addClass("hide");
        setTimeout(function(){
            $("body").removeClass("modal-open");
        },400);

        if(typeof window.fabric != 'undefined')
            window.fabric.Answers.sendContentView('Alertas');

        if($rootScope.user.data.TotalAlerts>0){
            $scope.paginator = undefined;
            $scope.alerts = [];
            $scope.loadMoreAlerts();
            br.cerrarAlertas(function(error,data){
                //console.log(data)
                if(!error){
                    $rootScope.user.data.TotalAlerts=0;
                }
            });
        }

    });

    $scope.$on('modal.hidden', function() {
        $(".headerCenterIcons").removeClass('selected');
        $(".contentHeaderAlert i").removeClass("fa-times").addClass("fa-exclamation-triangle");
        $(".modalAlertsUser").removeClass("opened");
        $scope.modalAlerts = null;


    });

    $scope.selectTournament = function (tournament) {
        $scope.selectedTournament = tournament;
        $scope.openModalAlerts();
        $timeout(function () {
            $state.go('detailTournament.rankingFinalizado', {tournamentId: $scope.selectedTournament.TournamentId});
        }, 0);
        return;
    };



    $scope.availableAlerts = ['B', 'c', 'D', 'E', 'F', 'favA', 'favR', 'L', 'M', 'P', 'R', 'T', 'V', 'X'];
    $scope.loadMoreAlerts();

});