betrocketApp.controller('pendingsController', function ($scope, $rootScope, $ionicScrollDelegate, $ionicSideMenuDelegate, $ionicLoading, $state, $localStorage, $filter, br) {

    $scope.pendingsFiltered = [];
    $scope.totalPendingBets = 0;

    // pending bets filters
    var filterBy = {
        all: function(){
            return true;
        },
        libres: function(item){
            return item.TournamentId == 0;
        },
        torneos: function(item){
            return item.TournamentId != 0;
        }
    };

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Apuestas Pendientes');

    $scope.filteredPendingBetsBy = filterBy.all;

    $scope.filterPendingBets = function($event, mode) {
        // remove clicked
        $($event.target).parent().children().removeClass('clicked');
        $($event.target).addClass('clicked');
        if( typeof $rootScope.user !== 'undefined'){
            if(typeof $rootScope.user.pendingBets !== 'undefined'){
                $scope.filteredPendingBetsBy =filterBy[mode];
                $scope.pendingsFiltered = $rootScope.user.pendingBets.filter($scope.filteredPendingBetsBy );
            }
        }
        $ionicScrollDelegate.scrollTop();
    };

    $scope.$watch(function() {
        if(typeof $rootScope.user !== 'undefined') {
            return $rootScope.user.pendingBets;
        }else{
            return false;
        }
    }, function(value){
        if(value) {
            $scope.pendingsFiltered = $rootScope.user.pendingBets.filter($scope.filteredPendingBetsBy);
            $scope.totalPendingBets = $rootScope.user.pendingBets.length;
        }
    });

    $(".apuestasLeftView ion-content").fadeIn(400);

    $scope.switchShowSearch = function(){

        if($(".searchBetPending").hasClass("not-show")){
            $(".searchBetPending").removeClass("not-show").addClass("show");
            $(".searchBarSlide").removeClass("hidden-bet").removeClass("fadeOut").addClass("fadeIn");
            $(".searchBetPending i").removeClass("fa-search").addClass("fa-times");

            if(typeof window.fabric != 'undefined')
                window.fabric.Answers.sendContentView('Apuestas Pendientes','Search Bar Open');
        }
        else{
            $(".searchBetPending").removeClass("show").addClass("not-show");
            $(".searchBarSlide").removeClass("fadeIn").addClass("fadeOut");
            $(".searchBetPending i").addClass("fa-search").removeClass("fa-times");
            $(".searchBarSlide").one("webkitAnimationEnd animationend",function(){
                $(".searchBarSlide").addClass("hidden-bet");
                $(this).off();
            });
        }
    };

    $scope.ApuestasPendientesRefresh = function(){
        br.getUserPendingBets(function(){
            $rootScope.$emit('refreshUserData');
            $scope.$broadcast('scroll.refreshComplete');
        });

    },
    $scope.redirectTournament = function(bet){
        if(bet.TournamentId != 0){
            $state.go('detailTournament.apuestas', {tournamentId: bet.TournamentId});
        }
    }
});

