betrocketApp.controller('divisionController', function($scope,$ionicPopup, $rootScope, $state, $ionicModal, $ionicPopover, $ionicLoading, $timeout, br) {

    $ionicLoading.show();

    $scope.userDivision = undefined;
    $scope.usersRanking = undefined;
    $scope.dataLoaded = false;
    $scope.hasDivision = true;

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Ranking General','Division');

    br.getRankingDivision(function(error,data){
        if(!error){
            $ionicLoading.hide();
            if(typeof data.GroupDivisionId !== 'undefined') {
                $scope.userDivision = data;
                $scope.usersRanking = data.Ranking;
                $scope.getColor();
                $scope.hasDivision = true;
                $scope.timeStampNextSeasson = new Date($scope.userDivision['SeasonCurrentDatePrizes']).getTime();
                $scope.addModalRanking();
            }else{
                $scope.hasDivision = false;
            }
            $scope.dataLoaded = true;

        }else{
            $ionicLoading.hide();
            $ionicPopup.alert({
                title: "Ranking",
                template: error
            });
        }
        return;
    });
    $scope.colorsRanking = [];

    $scope.getColor = function(){
        for(var i=0;i<$scope.userDivision.Prizes.length;i++){

            if($scope.userDivision.Prizes[i].Promoted == 1){
                $scope.colorsRanking.push("rgba(0,255,0,"+(1/(i+1)+0.2)+")")
            }
            else if($scope.userDivision.Prizes[i].Relegated == 1){
                $scope.colorsRanking.push("rgba(255,0,0,"+(1/($scope.userDivision.Prizes.length-i)+0.2)+")");
            }
            else if($scope.userDivision.Prizes[i].Promoted == 0 && $scope.userDivision.Prizes[i].Relegated == 0){
                $scope.colorsRanking.push('transparent');
            }
        }
    };

    $scope.addModalRanking = function(){
        $ionicModal.fromTemplateUrl('templates/modules/modal_ranking/modalRanking.html', {
            scope: $scope,
            animation: 'slide-in-up'
        }).then(function(modal) {
            modal.userDivision = $scope.userDivision;
            $scope.divisionView = true;
            $scope.CurrentDateFromModalRanking = $scope.userDivision.SeasonCurrentDateFrom;
            $scope.SeasonCurrentDateToModalRanking = $scope.userDivision.SeasonCurrentDateTo;
            $scope.GroupIdModalRanking = $scope.userDivision.GroupId;
            $scope.groupsInDivisionModalRanking = $scope.userDivision["SeasonCurrentDateGroups"][$scope.userDivision["GroupDivisionId"] - 1].Groups;
            var d = new Date();
            $scope.minutesNextUpload = 60-d.getMinutes()+" min";
            $scope.userDivisionPrizesModalRanking = $scope.userDivision.Prizes;
            if(typeof $scope.user != 'undefined'){
                $scope.divisionModalRanking = $scope.user.data.Division;
            }
            else{
                $scope.divisionModalRanking = '?';
            }
            $scope.modal = modal;
        });
    };

    $scope.getPosicionRankig = function(index){
        //console.log(index);
    };
    $scope.showInfoUser = function(id){
        if($(".info-userRanking").hasClass("open-info"))
            $(".info-userRanking").removeClass("slideInRight").removeClass("open-info").addClass("slideOutRight");
        $("#"+id+" a .info-userRanking").removeClass("hide").removeClass("slideOutRight").addClass("open-info").addClass("slideInRight");
    };
    $scope.closeInfoUser = function(id){
        $("#"+id+" a .info-userRanking").removeClass("slideInRight").removeClass("open-info").addClass("slideOutRight");
    };

    $scope.openMyInfo = function(){
        $scope.modal.show();
        $(".homeAppView").addClass("blur-backapp");
    };
    $scope.closeMyInfo = function() {
        $scope.modal.hide();
        $(".homeAppView").removeClass("blur-backapp");
    };
    
    $scope.infoPopup = "";
    var template = '<ion-popover-view class="popover-ranking-betrocket">{{infoPopup}}</ion-popover-view>';

    $scope.popover = $ionicPopover.fromTemplate(template, {
        scope: $scope
    });

    $scope.openPopover = function($event,info) {
        $scope.infoPopup = info;
        $scope.popover.show($event);
    };
    $scope.closePopover = function() {
        $scope.popover.hide();
    };

    $scope.goToTorneos = function(){
        $state.go("torneos.disponibles");
    };
});