betrocketApp.controller('disponiblesController', function ($scope, $rootScope, $ionicGesture, $ionicListDelegate, $ionicModal, $localStorage, br, $ionicLoading, $ionicPopup, $timeout, $state) {

    $scope.torneosActivos = [];
    $scope.paginator = undefined;

    $ionicLoading.show();
    $scope.reloadTournaments =false;

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Torneos','DisponiblesTab');

    var loadMoreTorneos = function () {
        var page = undefined;
        if ($scope.paginator !== undefined) {
            page = $scope.paginator.page + 1;
        }
        br.getTorneosActivos(function (error, data) {
            $ionicLoading.hide();
            if (error) {
                $ionicPopup.alert({
                    title: "Error torneos",
                    template: error
                });
            } else {
                if(!$scope.reloadTournaments)
                    $scope.torneosActivos = $scope.torneosActivos.concat(data.Tournaments);
                else
                    $scope.torneosActivos = data.Tournaments;

                $scope.torneosUser = typeof data.TournamentsUserPlaying === "undefined" ? [] : data.TournamentsUserPlaying;
                $scope.paginator = data.paginator;
                $scope.$broadcast('scroll.infiniteScrollComplete');
                $scope.$broadcast('scroll.resize');
            }
            if($scope.reloadTournaments){
                $scope.$broadcast('scroll.refreshComplete');
                $scope.reloadTournaments = false;
            }
            return;
        }, br.tournamentsPerPage, page);
    };

    $scope.disponiblesRefresh = function(){
        $scope.paginator = undefined;
        $scope.reloadTournaments = true;
        loadMoreTorneos();

    };

    $scope.favouriteCheck = function (item) {
        $ionicListDelegate.closeOptionButtons();
        br.setFavorite(item.TournamentId, null, function (error, data) {
            if (!error) {
                item.Fav = item.Fav != 1 ? 1 : 0;
            }
        });
    };

    $scope.moveItem = function (item, fromIndex, toIndex) {
        $scope.items.splice(fromIndex, 1);
        $scope.items.splice(toIndex, 0, item);
    };

    $scope.onItemDelete = function (item) {
        $scope.items.splice($scope.items.indexOf(item), 1);
    };

    $scope.selectTournament = function (tournament) {
        $scope.selectedTournament = tournament;

        if (
            $scope.torneosUser.some(function (item) {
                return item.TournamentId == tournament.TournamentId || tournament.ChildTournaments.some(function (child) {
                    return child.TournamentId == item.TournamentId;
                });
            })) {
            // user is playing the Tournament
            $timeout(function () {
                $ionicLoading.hide();
                $state.go('detailTournament.apuestas', {tournamentId: $scope.selectedTournament.TournamentId});
                $scope.modal.hide();
            }, 0);
            return;
        } else {
            // user is not joined in the tournament
            $scope.showInscriptionModal(tournament);
        }
    };

    $scope.showInscriptionModal = function (tournament) {
        $ionicLoading.show();
        br.getInfoTorneo(tournament.TournamentId, function (error, data) {
            $scope.tournamentBets = data;
            $scope.bet = {
                amount: Math.round($rootScope.user.data.CreditCoins / 2) //data.MinimumBetAmount
            };
            if (data.ReqCoins > $localStorage.user.data.CreditCoins) {
                $scope.impediment = "modal.inscribirTorneo.notEnoughCoins";
                $scope.heightWithNotification={'height':'68%'};
            }
            $scope.tournamentPoster = "'https://www.betrocket.com/upload/tournaments_big/tournament_" + $scope.selectedTournament.IMG + ".png'";
            $ionicLoading.hide();
            $scope.modal.show();

        });
    };

    $ionicModal.fromTemplateUrl('templates/modules/modals/modalInscTorneo.html', {
        scope: $scope
    }).then(function (modal) {
        $scope.modal = modal;
    });

    $scope.loadMoreTournaments = function () {
        loadMoreTorneos();
        return true;
    };

    $scope.canLoadMore = function () {
        if ($scope.torneosActivos.length > 0) {
            if ($scope.paginator !== undefined) {
                return $scope.paginator.page < $scope.paginator.count_all_pages;
            } else {
                return true;
            }
        } else {
            return false;
        }
    };

    $scope.loadMoreTournaments();
});