betrocketApp.controller('finalizadosController', function ($scope,$state, $ionicModal, br, $ionicLoading, $ionicPopup) {

    $scope.items = [];
    $scope.paginator = undefined;
    $scope.reloadTournaments = false;

    $ionicLoading.show();

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Torneos','FinalizadosTab');

    var loadMoreTorneos = function () {
        var page = undefined;
        if ($scope.paginator !== undefined) {
            page = $scope.paginator.page + 1;
        }

        br.getTorneosFinalizados(function (error, data) {
            $ionicLoading.hide();
            if (error) {
                $ionicPopup.alert({
                    title: "Error torneos",
                    template: error
                });
            } else {
                $scope.paginator = data.paginator;
                if (typeof data.Tournaments !== 'undefined') {
                    if(!$scope.reloadTournaments)
                        $scope.items = $scope.items.concat(data.Tournaments);
                    else
                        $scope.items = data.Tournaments;
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                    $scope.$broadcast('scroll.resize');
                }
            }
            if($scope.reloadTournaments){
                $scope.$broadcast('scroll.refreshComplete');
                $scope.reloadTournaments = false;
            }
        },  br.tournamentsPerPage, page);
    };

    $scope.finaliadosRefresh = function(){
        $scope.paginator = undefined;
        $scope.reloadTournaments = true;
        loadMoreTorneos();
    };

    $scope.loadMoreTournaments = function () {
        loadMoreTorneos();
        return true;
    };

    $scope.showFinishRanking = function (item){
        $state.go('detailTournament.rankingFinalizado', {tournamentId: item.TournamentId});
    };

    $scope.canLoadMore = function () {
        if ($scope.items.length > 0) {
            if ($scope.paginator !== undefined) {
                return $scope.paginator.page < $scope.paginator.count_all_pages;
            } else {
                return true;
            }
        } else {
            return false;
        }
    };

    $scope.loadMoreTournaments();
});