betrocketApp.controller('jugandoController', function ($scope, $state, $timeout, $ionicModal, $ionicLoading, $ionicPopup, br) {

    $scope.items = [];
    $scope.paginator = undefined;
    $scope.isEmptyTorneos = false;
    $scope.reloadTournaments =false;

    $ionicLoading.show();

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Torneos','JugandoTab');

    var loadMoreTorneos = function () {
        var page = undefined;
        if ($scope.paginator !== undefined) {
            page = $scope.paginator.page + 1;
        }

        br.getTorneosJugando(function (error, data) {
            $ionicLoading.hide();
            if (error) {
                $ionicPopup.alert({
                    title: "Error torneos",
                    template: error
                });
            } else {
                $scope.paginator = data.paginator;
                if (typeof data.Tournaments !== 'undefined') {
                    if(!$scope.reloadTournaments)
                        $scope.items = $scope.items.concat(data.Tournaments);
                    else
                        $scope.items = data.Tournaments;
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                    $scope.$broadcast('scroll.resize');
                }
                if($scope.items.length == 0){
                    $scope.isEmptyTorneos = true;
                }
            }
            if($scope.reloadTournaments){
                $scope.$broadcast('scroll.refreshComplete');
                $scope.reloadTournaments = false;
            }

        },  br.tournamentsPerPage, page);
    };

    $scope.jugandoRefresh = function(){
        $scope.paginator = undefined;
        $scope.reloadTournaments = true;
        loadMoreTorneos();
    };

    $scope.selectTournament = function (tournament) {
        $scope.selectedTournament = tournament;
        $timeout(function () {
            $state.go('detailTournament.apuestas', {tournamentId: $scope.selectedTournament.TournamentId});
        }, 0);
        return;
    };

    $scope.goToTorneos = function(){
        $state.go("torneos.disponibles");
    };

    $scope.loadMoreTournaments = function () {
        loadMoreTorneos();
        return true;
    };

    $scope.canLoadMore = function () {
        if ($scope.items.length > 0) {
            if ($scope.paginator !== undefined) {
                return $scope.paginator.page < $scope.paginator.count_all_pages;
            } else {
                return true;
            }
        } else {
            return false;
        }
    };

    $scope.loadMoreTournaments();
});