betrocketApp.controller('apuestasTournamentController', function ($scope, $rootScope, $state, $timeout, $stateParams, $ionicLoading, $ionicPopup, br) {

    $scope.$root.isTournamentOnBasket = false;

    $scope.userBets = [];

    if (typeof $stateParams.tournamentId === "undefined") {
        $ionicPopup.alert({
            title: "Apuestas",
            template: "Oohhps... algo ha ido mal [-2]"
        }).then(function (res) {
            $state.go("torneos.disponibles");
        });
    }

    var refreshBets = function(){
        $scope.userBets = [];
        $scope.bets = "";
        $ionicLoading.show();

        br.getApuestasTorneo($stateParams.tournamentId, function (error, data) {
            $ionicLoading.hide();
            if (error) {
                $scope.noBets = true;
                //$ionicPopup.alert({
                //    title: "Apuestas",
                //    template: error
                //});
                return;
            } else {
                $rootScope.hideBackButton=false;
                if(data.Events.length == 1){
                    $rootScope.hideBackButton = true;
                    $scope.selectEvent(data.Events[0]);
                    return;
                }else{
                    $scope.bets = data.Events;
                    $scope.sport = data.Events[0].Sport;
                    $scope.betType = data.Events[0]['1X2Available'];
                }
            }
            $rootScope.$emit('refreshBasket');
            return;
        });
    };

    $scope.id_torneo = $stateParams.tournamentId;

    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Detalle Torneo','Apuestas Tab', $scope.id_torneo);


    $scope.selectOdd = function ($event, event, participant) {
        $ionicLoading.show();
        if ($($event.target).hasClass('activated2')) {
            //console.log('deactive');
            br.eliminarApuesta(participant.Odds[0].BookOdd, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    angular.element($event.target).removeClass('activated2');
                    $('.event-' + event.Id).removeClass('disabled');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        } else {
            br.apostar($stateParams.tournamentId, participant.Odds[0].BookOdd, br.minBetAmount, function (error, data) {
                if (error) {
                    // TODO popup
                } else {
                    $('.event-' + event.Id).addClass('disabled');
                    angular.element($event.target).removeClass('disabled');
                    angular.element($event.target).addClass('activated2');
                }
                $ionicLoading.hide();
                $rootScope.$emit("refreshBasket");
            });
        }
    };

    $scope.selectEvent = function (event) {
        $rootScope.selectedEvent = event;
        $rootScope.selectedTournamentId = $scope.id_torneo;
        $state.go("detailTournament.event");
    };

    $scope.$watch(function(){
        if(typeof $rootScope.basket !== 'undefined'){
            return $rootScope.basket;
        }else{
            return false;
        }
    }, function(value) {
        if (value) {
            if ($rootScope.basket.BasketUser.length == 0) {
                //console.log("Cesta vacia");
                $('.infoBet1Torneo').removeClass('disabled activated2');
            } else {
                $timeout(function () {
                    var betsBasket = $rootScope.basket.Combined == 1 ? $rootScope.basket.BasketUser[0].ChildBets : $rootScope.basket.BasketUser;
                    betsBasket.forEach(function (item) {
                        if ($('#odd-' + item.BookOdd).length) {
                            $('#odd-' + item.BookOdd).parent().children('div').addClass('disabled');
                            $('#odd-' + item.BookOdd).removeClass('disabled');
                            $('#odd-' + item.BookOdd).addClass('activated2');
                        }
                    });
                }, 1000);
            }

        }
    });

    refreshBets();
});