
betrocketApp.controller('pronosticosTournamentController', function($scope, $state, $stateParams, $q, $timeout, $ionicLoading, $ionicPopup, br) {

    var idTorneo = $stateParams.tournamentId;
    $scope.pendings = [];
    $scope.completes = [];
    $scope.pronosticosLoaded = false;

    $ionicLoading.show();


    if(typeof window.fabric != 'undefined')
        window.fabric.Answers.sendContentView('Detalle Torneo','Mis Pronosticos Tab', idTorneo);

    var loadPronosticosPendientes = function(){
        var defered = $q.defer();
        var promise = defered.promise;

        br.getApuestasFromTorneo(idTorneo, 1, function(error, data){
            if(!error){
                if(typeof data.BetslipsUser !== 'undefined') {
                    defered.resolve(data.BetslipsUser);
                }else{
                    defered.resolve([]);
                }
            }else{
                defered.reject(error);
            }
        });

        return promise;
    };

    var loadPronosticosFinalizados = function(){
        var defered = $q.defer();
        var promise = defered.promise;

        br.getApuestasFromTorneo(idTorneo, 0, function(error, data){
            $ionicLoading.hide();
            if(!error){
                if(typeof data.BetslipsUser !== 'undefined') {
                    defered.resolve(data.BetslipsUser);
                }else{
                    defered.resolve([]);
                }

            }else{
                defered.reject(error);
            }
        });

        return promise;
    };

    $q.all([loadPronosticosPendientes(), loadPronosticosFinalizados()]).then(function(results){
        $scope.pendings = results[0]; // pendientes
        $scope.completes = results[1]; // completas
        $scope.pronosticosLoaded = true;
        $scope.pronosticosDisplayed = 'pending';
        //console.log($scope.pendings,$scope.completes);
    },function(error){
        $ionicPopup.alert({
            title: 'Error',
            template: error
        });
    });
});